#ifndef	_MQTT_H
#define	_MQTT_H

#ifdef HAVE_MOSQUITTO_H

#define STATUS_CONNECTING 0
#define STATUS_CONNACK_RECVD 1
#define STATUS_WAITING 2

#endif

/*
 * Public functions
 */
void mqtt_connect(void);
void mqtt_disconnect(void);
void mqtt_publish_int(char *, char *, int);
void mqtt_publish_float(char *, char *, float, int);
void mqtt_publish_str(char *, char *, char *);

#endif
